Soft-delete (revoke) an org API key.
Soft-delete (revoke) an org API key. - Rensei REST API operation reference.
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
application/json- body
keyId*stringThe api_keys row id to revoke.
force?booleanRequired (with reason) to revoke a daemon-install key used within the last 7 days.
reason?stringWhy a recently-used daemon-install key is being revoked.
Key revoked.
application/json- response
success*booleancurl -X DELETE 'https://app.rensei.ai/api/org/api-keys' \ -H 'Content-Type: application/json' \ -d '{ "keyId": "string"}'{ "success": true}Create an org-scoped API key (full secret returned once). Deprecated - use POST /api/org/{orgId}/keys.
Create an org-scoped API key (full secret returned once). Deprecated - use POST /api/org/{orgId}/keys. - Rensei REST API operation reference.
Shrink-only narrowing of a key's project fence and/or scopes.
Shrink-only narrowing of a key's project fence and/or scopes. - Rensei REST API operation reference.